Package org.eclipse.cdt.core.settings.model

# Interface ICExclusionPatternPathEntry

All Superinterfaces:
  `ICPathEntry`, `ICSettingEntry`

All Known Subinterfaces:
  `ICOutputEntry`, `ICSourceEntry`

All Known Implementing Classes:
  `ACExclusionFilterEntry`, `COutputEntry`, `CSourceEntry`

public interface ICExclusionPatternPathEntry extends ICPathEntry

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

## Method Summary

Modifier and Type
Method
Description
`char[][]`
`fullExclusionPatternChars()`
Returns a char based representation of the exclusions patterns full path.
`org.eclipse.core.runtime.IPath[]`
`getExclusionPatterns()`
Returns an array of inclusion paths affecting the source folder when looking for files recursively.

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICPathEntry

`getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`

## Method Details

### getExclusionPatterns

org.eclipse.core.runtime.IPath[] getExclusionPatterns()
Returns an array of inclusion paths affecting the source folder when looking for files recursively.

Returns:
  IPath

### fullExclusionPatternChars

char[][] fullExclusionPatternChars()
Returns a char based representation of the exclusions patterns full path.